​

Create user role

POST
https://example.kaiten.ru/api/latest/user-roles
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
required
string
minLength: 1
maxLength: 64

Role name

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
name

string

Role name
company_id

integer

Company Id
created

string

Create date
updated

string

Last update timestamp
id

integer

Role id
uid

string

Role uid
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/user-roles' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!